#!/usr/bin/env python
"""Distutils setup for linktally"""

# Copyright (C) 2006 Pareto; http://www.pareto.nl/
# Written by Martijn Pieters <martijn.pieters@pareto.nl>
# Licensed under the ZPL, see LICENSE.txt


from distutils.core import setup

setup(
    name='linktally',
    version='0.1.0',
    description='Keep track of your most popular CMS content',
    long_description='''\
Zope, and most CMS-es in fact, is not optimized to write on every page access. 
This makes page counters impractical. Add a squid cache and most visits won't 
even be seen by your CMS.

Linktally utilizes your Squid, Apache or Zope log file to periodically tally 
content accesses. A separate tool then provides rankings (by type if need be) 
for the past week, month and year.
''',
    license='Zope Public License',
    platforms='any',
    author='Martijn Pieters',
    author_email='martijn.pieters@pareto.nl',
    url='http://plone.org/products/linktally',
    keywords=('cms', 'content', 'tally', 'track', 'count', 'rank'),
    packages=['linktally'],
    package_dir={'': 'src'},
    scripts=['tallylinks.py'],
    classifiers=[
        'Development Status :: 3 - Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: Zope Public License',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Topic :: Internet :: WWW/HTTP :: Dynamic Content :: Page Counters',
    ]
)
