import ConfigParser

_marker = []
class LinkTallyConfig(object):
    """Holds configuration parameters for linktally"""
    database = None
    linksurl = None
    logfile = None
    prefix = None
    
    def __init__(self, configfile=None, database=None, linksurl=None, 
                 logfile=None, prefix=_marker):
        if configfile is None:
            if database is None or linksurl is None or logfile is None:
                raise ValueError, ('Either specify all of database, linksurl '
                                   'and logfile, or at least a configfile')
        defaults = dict(prefix=None)
        config = ConfigParser.SafeConfigParser(defaults=defaults)
        if configfile:
            config.read(configfile)
        self.database = database or config.get('default', 'database')
        self.linksurl = linksurl or config.get('default', 'linksurl')
        self.logfile = logfile or config.get('default', 'logfile')
        if prefix is not _marker:
            self.prefix = prefix
        else:
            self.prefix = config.get('default', 'prefix')
